Counting_JobFunctor< DNA_Scan > Class Template Reference

k-mer counting job functor class using bm::aggregator<> More...

## Public Types

typedef DNA_Scan::bvector_type | bvector_type
typedef bvector_type::size_type | size_type

## Public Member Functions

| Counting_JobFunctor (const DNA_Scan &parent_scanner, const bvector_type &bv_kmers, size_type from, size_type to, rsc_sparse_vector_u32 &kmer_counts)
| constructor
| Counting_JobFunctor (const Counting_JobFunctor &func)
| copy-ctor
void | operator() ()
| Main logic (functor).

## Detailed Description

template<typename DNA_Scan>
class Counting_JobFunctor< DNA_Scan >

k-mer counting job functor class using bm::aggregator<>

Functor received its range of k-mers in the presence-absense bit-vector then follows it to run the search-counting algorithm using DNA fingerprints common for all job functors.

bm::aggregator<> cannot be shared across threads, so functor creates its own

Examples
  xsample07.cpp.

Definition at line 695 of file xsample07.cpp.

## Member Typedef Documentation

## bvector_type

template<typename DNA_Scan>

typedef DNA_Scan::bvector_type Counting_JobFunctor< DNA_Scan >::bvector_type

Examples
  xsample07.cpp.

Definition at line 698 of file xsample07.cpp.

## size_type

template<typename DNA_Scan>

typedef bvector_type::size_type Counting_JobFunctor< DNA_Scan >::size_type

Examples
  xsample07.cpp.

Definition at line 699 of file xsample07.cpp.

## Constructor & Destructor Documentation

## Counting_JobFunctor() [1/2]

template<typename DNA_Scan>

Counting_JobFunctor< DNA_Scan >::Counting_JobFunctor | ( | const DNA_Scan & | parent_scanner,
|  | const bvector_type & | bv_kmers,
|  | size_type | from,
|  | size_type | to,
|  | rsc_sparse_vector_u32 & | kmer_counts )

inline

constructor

Examples
  xsample07.cpp.

Definition at line 703 of file xsample07.cpp.

Referenced by Counting_JobFunctor().

## Counting_JobFunctor() [2/2]

template<typename DNA_Scan>

Counting_JobFunctor< DNA_Scan >::Counting_JobFunctor | ( | const Counting_JobFunctor< DNA_Scan > & | func | ) |

inline

copy-ctor

Definition at line 713 of file xsample07.cpp.

References Counting_JobFunctor().

## Member Function Documentation

## operator()()

template<typename DNA_Scan>

void Counting_JobFunctor< DNA_Scan >::operator() | ( |  | ) |

inline

Main logic (functor).

Examples
  xsample07.cpp.

Definition at line 719 of file xsample07.cpp.

References ik_size, k_mer_progress_count(), translate_kmer(), and bm::bvector< Alloc >::iterator_base::valid().

The documentation for this class was generated from the following file:

- xsample07.cpp